defectTrackerIntegration
Finds a defect tracker integration by ID
defectTrackerIntegration(
id: ID!
): DefectTrackerInterface!
Arguments
defectTrackerIntegration.id ● ID! non-null scalar
Defect tracker integration ID
Type
DefectTrackerInterface interface
Example request
This generated query uses placeholders for required values. Replace them with values available to your API key before running it.
- cURL
- JavaScript
- Python
curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"query GetDefectTrackerIntegration($id: ID!) {\n defectTrackerIntegration(id: $id) { id company { id label active } createdAt }\n}","variables":{"id":"example-id"}}'
const response = await fetch('https://api.convisoappsec.com/graphql', {
method: 'POST',
headers: {
'content-type': 'application/json',
'x-api-key': process.env.CONVISO_API_KEY,
},
body: JSON.stringify({
query: "query GetDefectTrackerIntegration($id: ID!) {\n defectTrackerIntegration(id: $id) { id company { id label active } createdAt }\n}",
variables: {
"id": "example-id"
},
}),
});
const { data, errors } = await response.json();
if (errors) throw new Error(errors.map(({ message }) => message).join(', '));
console.log(data);
import json
import os
import requests
response = requests.post(
'https://api.convisoappsec.com/graphql',
headers={
'content-type': 'application/json',
'x-api-key': os.environ['CONVISO_API_KEY'],
},
json={
'query': "query GetDefectTrackerIntegration($id: ID!) {\n defectTrackerIntegration(id: $id) { id company { id label active } createdAt }\n}",
'variables': json.loads("{\"id\":\"example-id\"}"),
},
timeout=30,
)
response.raise_for_status()
payload = response.json()
if payload.get('errors'):
raise RuntimeError(payload['errors'])
print(payload['data'])
Contribute to the Docs
Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.
How to contribute